Validate.h File Reference
`#include <RDGeneral/export.h>`
`#include <GraphMol/RDKitBase.h>`
`#include <GraphMol/ROMol.h>`
`#include <GraphMol/Atom.h>`
`#include <iostream>`
`#include <exception>`
`#include <string>`
`#include <utility>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | RDKit::MolStandardize::ValidationErrorInfo
class | RDKit::MolStandardize::ValidationMethod
class | RDKit::MolStandardize::RDKitValidation
class | RDKit::MolStandardize::MolVSValidations
| MolVS Validations. More...
class | RDKit::MolStandardize::NoAtomValidation
class | RDKit::MolStandardize::FragmentValidation
| The FragmentValidation class logs if certain fragments are present. More...
class | RDKit::MolStandardize::NeutralValidation
| The NeutralValidation class logs if not an overall neutral system. More...
class | RDKit::MolStandardize::IsotopeValidation
| The IsotopeValidation class logs if molecule contains isotopes. More...
class | RDKit::MolStandardize::MolVSValidation
| The MolVSValidation class can be used to perform all MolVSValidions. More...
class | RDKit::MolStandardize::AllowedAtomsValidation
class | RDKit::MolStandardize::DisallowedAtomsValidation

## Namespaces

| RDKit
| Std stuff.
| RDKit::MolStandardize

## Functions

RDKIT_MOLSTANDARDIZE_EXPORT std::vector< ValidationErrorInfo > | RDKit::MolStandardize::validateSmiles (const std::string &smiles)
| A convenience function for quickly validating a single SMILES string. More...

## Detailed Description

    \brief Defines the ValidationErrorInfo class and four different

validation methods: RDKitValidation, MolVSValidation, AllowedAtomsValidation, DisallowedAtomsValidation.

Definition in file Validate.h.